package com.muyu.fence.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.fence.domain.TbGroup;
import com.muyu.fence.service.TbGroupService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Author YuPing
 * @Description 围栏控制器
 * @Version 1.0
 * @Data 2024-09-22 17:00:08
 */

@RestController
@RequestMapping("/tbGroup")
public class TbGroupController {

    @Autowired
    private TbGroupService tbGroupService;

    /**
     * 查询围栏列表
     * @return
     */
    @GetMapping("/selectTbGroupList")
    public Result<List<TbGroup>> selectTbGroupList() {
        return Result.success(tbGroupService.selectTbGroupList());
    }

}
